import { Controller, DefaultValuePipe, Delete, Get, Param, ParseIntPipe, Post, Query } from '@nestjs/common';
import { AuthorService } from './author.service';

@Controller('author')
export class AuthorController {
  constructor(private readonly authorService: AuthorService) {}

  @Get()
  async findMany(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string
  ) {
    const query = {limit, offset, search}

  }

  //POST a new group
  @Post("new")
  async newAuthor() {

  }

  //DELETE a group
  @Delete(":authorId")
  async deleteAuthor(@Param('authorId') authorId: string) {

  }

  //GET files associated to author with limit and offset
  @Get(":authorId")
  async getForAuthor(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string,
    @Param('authorId') authorId: string
  ) {
    const query = {limit, offset, search}

  }
}
